#if !defined(AFX_CONTROLDLG_H__C871E5E0_64A8_11D6_BAC0_005056400072__INCLUDED_)
#define AFX_CONTROLDLG_H__C871E5E0_64A8_11D6_BAC0_005056400072__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ControlDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CControlDlg dialog

class CControlDlg : public CDialog
{
// Construction
public:
	CControlDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CControlDlg)
	enum { IDD = IDD_CONTROL_DIALOG };
	BOOL	m_bRemote_Control;
	BOOL	m_bWeb_Server_Port;
	CString	m_strWeb_Server_Port;
	CString	m_strIP_Addresses;
	BOOL	m_bAllow_IP;
	CString	m_strSet_Password;
	BOOL	m_bSet_Password;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CControlDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CToolTipCtrl m_remote_tooltip;

	// Generated message map functions
	//{{AFX_MSG(CControlDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnRemoteControlCheck();
	afx_msg void OnAllowCheck();
	afx_msg void OnPasswordCheck();
	afx_msg void OnWebServerPortCheck();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONTROLDLG_H__C871E5E0_64A8_11D6_BAC0_005056400072__INCLUDED_)
